Bug 476670 - Dolphin doesn't focus on the new pasted file if it's beyond screen border
Summary: Dolphin doesn't focus on the new pasted file if it's beyond screen border
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 23.08.2
Platform: Other Linux
: NOR major
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-11-07 12:25 UTC by mozo
Modified: 2023-12-18 12:23 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 24.02


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mozo 2023-11-07 12:25:58 UTC
SUMMARY
Dolphin doesn't focus on the new pasted file if it's beyond screen border. Let's say we have a folder with 1000 files. We vave to paste a new file with a name of WWW. When we open the folder and it's set to arrange items by name, we see the first 20-30 files beginning with the letters A and B. We don't see the files with W. When we paste the file, Dolphin doesn't focus on the newly pasted file and doesn't mark it as it should be and was like that for ages not only in Dolphin but in every single file manager. It's a new bug and it appears version ot two from 23.08.2. I can't downgrade to try when exactly the problem appeared because of this:
https://pastebin.com/8uRcrh7t

It's very tiring to search files among thousands of others files many times again. Note that I did not touch anything during paste process and I don't select other files. It's a recent problem.

STEPS TO REPRODUCE
1. Copy a file and paste it in a directory with many files where the name of the copied and pasted file is beyond the letters which you're seeing in the moment.
2. 
3. 

OBSERVED RESULT
When the file transfer is over, it's like nothing happened.

EXPECTED RESULT
Dolphin should move to the newly pasted file and should mark it.

SOFTWARE/OS VERSIONS
Arch Linux/KDE Plasma:  5.27.9
KDE Frameworks Version: 5.111.0
Qt Version: 5.15.11
Comment 1 mozo 2023-11-25 12:46:48 UTC
I see that in the moment almost all of the forces are working on Plasma 6 and I'm ok with that if this bug will not be presented in Plasma 6 but I doubt it. It's an important bug and it needs attention. It's a pain to work with directories with many files and to find every new pasted file manually. We're the only one file manager with such ridiculous bug in the moment. It's so intrusive that I installed nemo temporarily but I'm using KDE and I want Dolphin. Please look at this bug.
Comment 2 mozo 2023-12-06 23:17:58 UTC
23.08.3 - the bug is still here.
Comment 3 mozo 2023-12-10 00:19:32 UTC
23.08.4 - there's no difference in this behaviour. 
Please ask if something is not clear. English isn't my native language so I might not described the problem correctly. I can record a video if there's a need for that.
Comment 4 Felix Ernst 2023-12-12 00:53:40 UTC
Everything is clear. Thank you for the report! We are just not that fast to look into it.
Comment 5 mozo 2023-12-12 09:23:18 UTC
Thanks!
Comment 6 Felix Ernst 2023-12-12 18:05:00 UTC
Can confirm. From my testing the issue might be that `DolphinView::slotItemCreatedFromJob` never gets called for some reason.

I reverted https://invent.kde.org/system/dolphin/-/commit/040e2afcfafaa8edd365d959760d4d0e7f3e48d3 locally and this fixed the bug being reported here for me. Not sure what exactly is going wrong though.
Comment 7 mozo 2023-12-12 18:59:53 UTC
Thanks for confirming!
Comment 8 Bug Janitor Service 2023-12-16 12:26:08 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/678
Comment 9 Méven Car 2023-12-18 10:14:26 UTC
Git commit 3430ad167355436c81fd1248d106e3f6f61d1594 by Méven Car, on behalf of Méven Car.
Committed on 18/12/2023 at 11:10.
Pushed by meven into branch 'master'.

DolphinView: Ensure to update the whole viewState after a job created files

M  +5    -3    src/views/dolphinview.cpp
M  +1    -1    src/views/dolphinview.h

https://invent.kde.org/system/dolphin/-/commit/3430ad167355436c81fd1248d106e3f6f61d1594
Comment 10 mozo 2023-12-18 10:27:45 UTC
Thank you Méven Car!!!
When we can expect the fix to lend in the main version?
Comment 11 Méven Car 2023-12-18 11:45:48 UTC
(In reply to mozo from comment #10)
> Thank you Méven Car!!!
> When we can expect the fix to lend in the main version?

I can't cherry-pick this cleanly to kf5 branch so it will be 24.02 "mega release" unfortunately.
Comment 12 mozo 2023-12-18 12:23:42 UTC
I see, thank you very much once again!